<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AreaSetting extends Model
{
    protected $guarded = [];

    const CLOSE_BIKE_TIME = 60;

    const STATUS_OK = 1;
    const STATUS_PAUSE = 0;
    public static $statusMaps = [
        self::STATUS_OK => '正常',
        self::STATUS_PAUSE => '暂停'
    ];

    const WHOLE_AREA_HUANCHE_OK = 1;
    const WHOLE_AREA_HUANCHE_NO = 0;
    public static $typeWholeAreaHuanche = [
        self::WHOLE_AREA_HUANCHE_NO => '不启用在整个区域还车点',
        self::WHOLE_AREA_HUANCHE_OK => '启用在整个区域还车点',
    ];

}
