<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\Parking;
use League\Fractal\TransformerAbstract;

class ParkingTransformer extends TransformerAbstract
{

    public function transform(Parking $model)
    {
        return [
            'name' => $model->name,
            'centre' => $model->parking_centre,
            'fence' => $model->parking_fence,
            'radius' => $model->parking_radius,
            'type' => $model->type,
            'type_text' => Parking::$typeMaps[$model->type],
        ];
    }

}
